#ifndef _HISTORY_H_
#define _HISTORY_H_

typedef struct HistoryEntry
{
  int width;
  int height;
  Uint32 * pixeldata;
} HistoryEntry;

void historySave(SDL_Surface * image, BoundedStack * history);
void historyUndo(SDL_Surface * image, BoundedStack * history);
void historyRedo(SDL_Surface * image, BoundedStack * history);

#endif /* _HISTORY_H_ */
