#ifndef _SOCK_H_
#define _SOCK_H_

/* Connection interface */

int sockOpen(int protocol);
int sockOpenTCP();
int sockOpenUDP();
void sockClose(int sockfd);
int sockConnect(int sockfd, const char * target, unsigned short int port);

/* Data transfer interface */

int sockWrite(int sock, void * buf, size_t nbytes);
int sockRead(int sock, void * buf, size_t nbytes);
int sockWriteAll(int sock, void * buf, size_t nbytes);
int sockReadAll(int sock, void * buf, size_t nbytes);
int sockWriteStr(int sock, char * buf);
int sockWriteStrWithLen(int sock, char * buf);
int sockReadStrWithLen(int sock, char * buf);

#endif /* SOCK_H_ */
