#ifndef _URL_H_
#define _URL_H_

#ifndef _XSTRING_H_
#include "xstring.h"
#endif

typedef struct Url
{
  XString * protocol;
  XString * host;
  int port;
  XString * path;
  XString * filename;
  XString * query;
  XString * id;
} Url;

Url * urlCreate(char * urlstr);
char * urlGetProtocol(Url * url);
char * urlGetHost(Url * url);
 int urlGetPort(Url * url);
char * urlGetPath(Url * url);
char * urlGetFilename(Url * url);
char * urlGetQuery(Url * url);
char * urlGetId(Url * url);
void urlShow(Url * url);
void urlShowFields(Url * url);
void urlDestroy(Url * url);

#endif /* URL_H_ */
